package lab;

import java.io.IOException;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.RadioButton;
import javafx.scene.control.TextField;
import javafx.scene.control.ToggleButton;
import javafx.scene.control.ToggleGroup;

/**
 * 
 */
public class MainScreenController {

	@FXML
	private ToggleGroup difficult;

    @FXML
    private ToggleButton easy;

    @FXML
    private ToggleButton hard;

    @FXML
    private ToggleButton medium;

    @FXML
	private TextField name;

	private App app;
	
	@FXML
	void play(ActionEvent event) throws IOException {
		Difficult dif = (Difficult)difficult.getSelectedToggle().getProperties().get(Difficult.class);
		app.switchToGame(name.getText(), dif.getNumberOfMonsters());
	}
	
	public void setApp(App app) {
		this.app = app;
	}

	@FXML
	void initialize() {
		assert difficult != null : "fx:id=\"difficult\" was not injected: check your FXML file 'mainScreen.fxml'.";
		assert name != null : "fx:id=\"name\" was not injected: check your FXML file 'mainScreen.fxml'.";
		easy.getProperties().put(Difficult.class, Difficult.EASY);
		medium.getProperties().put(Difficult.class, Difficult.MEDIUM);
		hard.getProperties().put(Difficult.class, Difficult.HARD);
	}

}
